Get Subscription

Get Subscription

Get subscription details for a given subscription id

Request
URI
GET
https://vmc.vmware.com/vmc/api/orgs/{org}/subscriptions/{subscription}
COPY
Path Parameters
string
org
Required

Organization identifier.

string
subscription
Required

SubscriptionId for an sddc.


Authentication
This operation uses the following authentication methods.
Responses
200

Success

Returns SubscriptionDetails of type(s) application/json
{
    "end_date": "string",
    "quantity": "string",
    "billing_subscription_id": "string",
    "commitment_term": "string",
    "description": "string",
    "auto_renewed_allowed": "string",
    "offer_name": "string",
    "csp_subscription_id": "string",
    "offer_version": "string",
    "anniversary_billing_date": "string",
    "region": "string",
    "commitment_term_uom": "string",
    "offer_type": "string",
    "status": "string",
    "start_date": "string"
}
string
end_date
Optional

end_date

string
quantity
Optional

quantity

string
billing_subscription_id
Optional

billing_subscription_id

string
commitment_term
Optional

commitment_term

string
description
Optional

description

string
auto_renewed_allowed
Optional

auto_renewed_allowed

string
offer_name
Optional

offer_name

string
csp_subscription_id
Optional

csp_subscription_id

string
offer_version
Optional

offer_version

string
anniversary_billing_date
Optional

anniversary_billing_date

string
region
Optional

region

string
commitment_term_uom
Optional

unit of measurment for commitment term

offer_type
Optional

offer_type

string
status
Optional

status

Possible values are : CREATED, ACTIVATED, FAILED, CANCELLED, EXPIRED, PENDING_PROVISIONING, ORDER_SUBMITTED,
string
start_date
Optional

start_date


404

Not Found

Operation doesn't return any data structure

500

Server error. Check retryable flag to see if request should be retried.

Returns ErrorResponse of type(s) application/json
{
    "retryable": false,
    "path": "string",
    "error_code": "string",
    "error_messages": [
        "string"
    ],
    "status": 0
}
boolean
retryable
Required

If true, client should retry operation

string
path
Required

Originating request URI

string
error_code
Required

unique error code

array of string
error_messages
Required

localized error messages

integer
status
Required

HTTP status code